This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 558701 - Novatel Wireless USB760 modem not available for connections by default
Novatel Wireless USB760 modem not available for connections by default
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-25 22:23 EST by Vinny Valdez
Modified: 2011-06-27 10:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:51:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vinny Valdez 2010-01-25 22:23:16 EST
Description of problem:
Novatel USB760 is a broadband 3G/EVDO modem and mass storage device containing Windows/Mac drivers.  With a fully updated Fedora system, user steps are required to enable modem usage.  However, if a user ejects the storage device, the modem becomes available.  If usb_modeswitch is installed, and the configuration enabled, executing usb_modeswitch also makes the modem available.

Version-Release number of selected component (if applicable):
Fedora 12 2.6.31.12-174.2.3.fc12.i386.PAE
udev-145-14.fc12.i686
usb_modeswitch-1.0.5-1.fc12.i686
NetworkManager-0.7.997-2.git20091214.fc12.i686

How reproducible:
Everytime

Steps to Reproduce:
1. Install Fedora 12
2. Update all packages
3. Plug in a Novatel Wireless USB760 modem
4. View /var/log/messages, a "VZAccess Manager" icon appears on the desktop
5. Modem is not available
  
Actual results:
I have found that two methods make this modem available:

Method #1: eject
Eject the storage device through software (not physically), and the modem can be used by dialers (including NetworkManager).  

As discussed in Bug 475914 Comments 6/7 say: a udev rule is created and can then be modified to automatically eject the device.  Edit the following file after inserting the USB760 at least once:
/etc/udev/rules.d/70-persistent-cd.rules

Add to any line containing "Novatel_Mass_Storage" at the end:
 , RUN+="/usr/bin/eject"

Remove USB760 and reboot, now when inserting the USB760, it is automatically entered into modem mode after ejecting.

Method #2: usb_modeswitch
As mentioned in Bug 475914 Comment 24, usb_modeswitch can handle this device.  However, it must be configured first:

1. Install the package "usb_modeswitch"
2. Edit /etc/usb_modeswitch.conf"
3. Remove the comments around all of the lines in the "Novatel U760 USB Modem" section:

DefaultVendor=  0x1410
DefaultProduct= 0x5030
TargetVendor=   0x1410
TargetProduct=  0x6000

MessageContent="<long id>"

4. Run the command as root: "/usr/bin/usb_modeswitch"

The modem is now available to dialers (including NetworkManager), along with the mass storage device.

5. To automate this, edit the line as mentioned for Method #1, but instead of appending "eject", append:
To: /etc/udev/rules.d/70-persistent-cd.rules
 , RUN+="/usr/bin/usb_modeswitch"


Expected results:
The "eject" method is easiest for users, but may not be obvious at first.  There is no Linux software needed on the storage device, but the pdf can be accessed.

The "usb_modeswitch" seems to be the more appropriate approach.  However, there are extra steps involved that could be tweaked to provide a better user experience.  If usb_modeswitch was part of a standard install, and the devices available without text file editing, this device would work out of the box.  I mention this because I only find one other bug related to this device, but many, many posts online about trying to get this to work.  I was surprised that a fully updated Fedora 12 didn't work out of the box.

Additional info:
http://forums.fedoraforum.org/showthread.php?t=207115
https://bugzilla.redhat.com/show_bug.cgi?id=475914
Comment 1 Vinny Valdez 2010-01-25 22:26:20 EST
Also, this is a "Novatel Wireless USB760 Qualcomm 3G CDMA" on Verizon.
Comment 2 Vinny Valdez 2010-01-25 22:40:19 EST
If using NetworkManager and the modem is not showing up, right-click NetworkManager icon, select "Edit Connections", under "Mobile Broadband" click "Add" and if the modem is not detected there, then it has not been made available through eject/usb_modeswitch methods.  I never had to restart NetworkManager  or the system.
Comment 3 Michael J. Chudobiak 2010-04-09 08:32:29 EDT
This is still a problem in F13.

How can Fedora ship with automagical support for the U760 (and other dual-function storage/modem dongles)?

The eject and usb_modeswitch methods both work, but require root to manually edit files, which is bad.

On a side note, U760 support in F13 is currently broken for other reasons as described in bug 580514 and bug 580709.

- Mike
Comment 4 Bug Zapper 2011-06-02 12:45:39 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 10:51:11 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.